{
	"name": "~estaticos",
	"version": "0.23.0",
	"description": "",
	"main": "dist/index.js",
	"scripts": {
		"#1": "Executa o servidor de desenvolvimento e sem produção",
		"dev": "tsx ferramentas/rodar_servidor.tsx",
		"#2": "Gerar o pacote para ser imortado em outros projetos",
		"build": "pnpm run gerar && npx  @biomejs/biome  check --apply ./src && tsc && npm --no-git-tag-version version minor",
		"#3": "Faz uma checagem de versão do node",
		"nodev": "check-node-version --node '>= 20'",
		"#4": "Mata o processo que está rodando na porta 5020",
		"kill": "npx kill-port -p 5020",
		"#5": "Gerar a listagem de arquivos estaticos",
		"gerar": "dotenv -e .env tsx ferramentas/listar_arquivos.ts gerar",
		"#6": "Faz a formatação do código",
		"biome": "npx  @biomejs/biome  check --apply ./src && npx @biomejs/biome  format --write ./src",
		"postinstall": "pnpm up ~*"
	},
	"author": "",
	"license": "ISC",
	"dependencies": {
		"react": "^18.3.1",
		"react-dom": "^18.3.1",
		"zod": "^3.22.4"
	},
	"devDependencies": {
		"@biomejs/biome": "^1.6.1",
		"@types/express": "^4.17.21",
		"@types/node": "^20.11.30",
		"@types/react": "^18.3.1",
		"@types/react-dom": "^18.3.0",
		"dotenv": "^16.4.5",
		"dotenv-cli": "^7.4.1",
		"express": "^4.19.1",
		"glob": "^10.3.10",
		"~comuns": "git+http://leitura:eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpYXQiOjE3MTQ3NTA1NzYsImlzcyI6IkdpdG5lc3MiLCJwaWQiOjgsInRrbiI6eyJ0eXAiOiJwYXQiLCJpZCI6MzJ9fQ.OYdExOVQm5UI3wfeTaWjmD0o65Y1hrjFz5EvMB1a__U@git.idz.one:3000/git/multi-modulos-ambientais/_comuns.git#producao",
		"kill-port-process": "^3.2.1"
	},
	"peerDependencies": {
		"typescript": "^5.0.0"
	}
}
